mmdet.apis
--------------
.. automodule:: mmdet.apis
    :members:

mmdet.datasets
--------------

datasets
^^^^^^^^^^
.. automodule:: mmdet.datasets
    :members:

api_wrappers
^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.datasets.api_wrappers
    :members:

samplers
^^^^^^^^^^
.. automodule:: mmdet.datasets.samplers
    :members:

transforms
^^^^^^^^^^^^
.. automodule:: mmdet.datasets.transforms
    :members:

mmdet.engine
--------------

hooks
^^^^^^^^^^
.. automodule:: mmdet.engine.hooks
    :members:

optimizers
^^^^^^^^^^^^^^^
.. automodule:: mmdet.engine.optimizers
    :members:

runner
^^^^^^^^^^
.. automodule:: mmdet.engine.runner
    :members:

schedulers
^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.engine.schedulers
    :members:

mmdet.evaluation
--------------------

functional
^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.evaluation.functional
    :members:

metrics
^^^^^^^^^^
.. automodule:: mmdet.evaluation.metrics
    :members:


mmdet.models
--------------

backbones
^^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.models.backbones
    :members:

data_preprocessors
^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.models.data_preprocessors
    :members:

dense_heads
^^^^^^^^^^^^^^^
.. automodule:: mmdet.models.dense_heads
    :members:

detectors
^^^^^^^^^^
.. automodule:: mmdet.models.detectors
    :members:

layers
^^^^^^^^^^
.. automodule:: mmdet.models.layers
    :members:

losses
^^^^^^^^^^
.. automodule:: mmdet.models.losses
    :members:

necks
^^^^^^^^^^^^
.. automodule:: mmdet.models.necks
    :members:

roi_heads
^^^^^^^^^^^^^
.. automodule:: mmdet.models.roi_heads
    :members:

seg_heads
^^^^^^^^^^^^^
.. automodule:: mmdet.models.seg_heads
    :members:

task_modules
^^^^^^^^^^^^^
.. automodule:: mmdet.models.task_modules
    :members:

test_time_augs
^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.models.test_time_augs
    :members:

utils
^^^^^^^^^^
.. automodule:: mmdet.models.utils
    :members:


mmdet.structures
--------------------

structures
^^^^^^^^^^^^^^^^^
.. automodule:: mmdet.structures
    :members:

bbox
^^^^^^^^^^
.. automodule:: mmdet.structures.bbox
    :members:

mask
^^^^^^^^^^
.. automodule:: mmdet.structures.mask
    :members:

mmdet.testing
----------------
.. automodule:: mmdet.testing
    :members:

mmdet.visualization
--------------------
.. automodule:: mmdet.visualization
    :members:

mmdet.utils
--------------
.. automodule:: mmdet.utils
    :members:
